import time
from pastebin.client import PastebinClient
from pastebin.util import search_by_category


def main():
    pastebin = PastebinClient(debug=True)
    filters = ['Gaming']

    while True:
        print('Updating pastes...')
        new_pastes = pastebin.update_paste_list()

        for filter_ in filters:
            pastes = search_by_category(new_pastes, filter_)

            for paste in pastes:
                print(f'New {filter_} paste: {paste}')

        time.sleep(300)


if __name__ == '__main__':
    main()
